#
# choose compiler options 
# hp (atlas.wgs)
compile=fort77 -c +ppu -V -O2 -Iinc 
#
# dec alpha
# compile=f77 -c -g -V -O2 -Iinc 
#
# set standard search path for needed dependencies (include files)
#
VPATH=./inc
#
hec_adc.a: ./obj/hec_adc.o \
           ./obj/hec_adc_fill.o \
           ./obj/hec_adc_ini.o \
           ./obj/hec_cal.o \
           ./obj/hec_cal_read.o \
           ./obj/hec_cal_evt.o \
           ./obj/hec_card.o \
           ./obj/hec_cub.o \
           ./obj/hec_cub_evt.o \
           ./obj/hec_dump_adc.o \
           ./obj/hec_dump_dwpc.o \
           ./obj/hec_dump_epio.o \
           ./obj/hec_dump_geo.o \
           ./obj/hec_dwpc_epio.o \
           ./obj/hec_dwpc_ini.o \
           ./obj/hec_dwpc_zebra.o \
           ./obj/hec_evt.o \
           ./obj/hec_evth_epio.o \
           ./obj/hec_evth_zebra.o \
           ./obj/hec_geo.o \
           ./obj/hec_geo_may96.o \
           ./obj/hec_geo_jul96.o \
           ./obj/hec_geo_sep96.o \
           ./obj/hec_geo_feb97.o \
           ./obj/hec_geo_may97.o \
           ./obj/hec_geoe_epio.o \
           ./obj/hec_geoe_zebra.o \
           ./obj/hec_hbook_ini.o \
           ./obj/hec_his.o \
           ./obj/hec_his_ana1.o \
           ./obj/hec_his_evt1.o \
           ./obj/hec_his_ini.o \
           ./obj/hec_his_pass1.o \
           ./obj/hec_his_ter.o \
           ./obj/hec_ini.o \
           ./obj/hec_io_ini.o \
           ./obj/hec_io_pass_evt.o \
           ./obj/hec_io_pass_ini.o \
           ./obj/hec_io_pass_ter.o \
           ./obj/hec_io_ter.o \
           ./obj/hec_max_fill.o \
           ./obj/hec_nextevt.o \
           ./obj/hec_nextevt_epio.o \
           ./obj/hec_nextevt_zebra.o \
           ./obj/hec_pass1.o \
           ./obj/hec_pass2.o \
           ./obj/hec_pass3.o \
           ./obj/hec_ped.o \
           ./obj/hec_ped_ana1.o \
           ./obj/hec_ped_ana2.o \
           ./obj/hec_ped_evt1.o \
           ./obj/hec_ped_evt2.o \
           ./obj/hec_ped_pass1.o \
           ./obj/hec_ped_pass2.o \
           ./obj/hec_ped_print.o \
           ./obj/hec_ped_read.o \
           ./obj/hec_ped_write.o \
           ./obj/hec_runh_epio.o \
           ./obj/hec_runh_zebra.o \
           ./obj/hec_ter.o \
           ./obj/hec_trig.o \
           ./obj/user_ana1.o \
           ./obj/user_ana2.o \
           ./obj/user_ana3.o \
           ./obj/user_card.o \
           ./obj/user_evt1.o \
           ./obj/user_evt2.o \
           ./obj/user_evt3.o \
           ./obj/user_ini.o \
           ./obj/user_ter.o 
	ar r hec_adc.a ./obj/*.o
 
./obj/hec_adc.o: ./src/hec_adc.f \
                 hec_datacard.inc
	$(compile) ./src/hec_adc.f
	mv -f hec_adc.o ./obj
	mv -f hec_adc.l ./lis

./obj/hec_adc_fill.o: ./src/hec_adc_fill.f \
                      hec_par.inc \
                      hec_adc.inc \
                      hec_geo.inc
	$(compile) ./src/hec_adc_fill.f
	mv -f hec_adc_fill.o ./obj
	mv -f hec_adc_fill.l ./lis

./obj/hec_adc_ini.o: ./src/hec_adc_ini.f \
                     hec_par.inc \
                     hec_adc.inc
	$(compile) ./src/hec_adc_ini.f
	mv -f hec_adc_ini.o ./obj
	mv -f hec_adc_ini.l ./lis

./obj/hec_cal.o: ./src/cal/hec_cal.f \
                 hec_par.inc \
                 hec_cal_coef.inc \
                 hec_datacard.inc
	$(compile) ./src/cal/hec_cal.f
	mv -f hec_cal.o ./obj
	mv -f hec_cal.l ./lis

./obj/hec_cal_evt.o: ./src/cal/hec_cal_evt.f \
                     hec_par.inc \
                     hec_cal.inc \
                     hec_cal_coef.inc \
                     hec_cub.inc \
                     hec_geo.inc \
                     hec_max.inc \
                     hec_ped.inc 
	$(compile) ./src/cal/hec_cal_evt.f
	mv -f hec_cal_evt.o ./obj
	mv -f hec_cal_evt.l ./lis

./obj/hec_cal_read.o: ./src/cal/hec_cal_read.f \
                      hec_par.inc \
                      hec_cal_coef.inc \
                      hec_datacard.inc \
                      hec_geo.inc
	$(compile) ./src/cal/hec_cal_read.f
	mv -f hec_cal_read.o ./obj
	mv -f hec_cal_read.l ./lis

./obj/hec_card.o: ./src/hec_card.f \
                  hec_datacard.inc
	$(compile) ./src/hec_card.f
	mv -f hec_card.o ./obj
	mv -f hec_card.l ./lis

./obj/hec_cub.o: ./src/cub/hec_cub.f \
                 hec_par.inc \
                 hec_cub.inc
	$(compile) ./src/cub/hec_cub.f
	mv -f hec_cub.o ./obj
	mv -f hec_cub.l ./lis

./obj/hec_cub_evt.o: ./src/cub/hec_cub_evt.f \
                     hec_par.inc \
                     hec_adc.inc \
                     hec_cub.inc \
                     hec_datacard.inc \
                     hec_geo.inc
	$(compile) ./src/cub/hec_cub_evt.f
	mv -f hec_cub_evt.o ./obj
	mv -f hec_cub_evt.l ./lis

./obj/hec_dump_adc.o: ./util/hec_dump_adc.f \
                      hec_par.inc \
                      hec_adc.inc \
                      hec_geo.inc
	$(compile) ./util/hec_dump_adc.f
	mv -f hec_dump_adc.o ./obj
	mv -f hec_dump_adc.l ./lis

./obj/hec_dump_dwpc.o: ./util/hec_dump_dwpc.f \
                       hec_dwpc.inc
	$(compile) ./util/hec_dump_dwpc.f
	mv -f hec_dump_dwpc.o ./obj
	mv -f hec_dump_dwpc.l ./lis

./obj/hec_dump_epio.o: ./util/hec_dump_epio.f \
                       hec_epio.inc
	$(compile) ./util/hec_dump_epio.f
	mv -f hec_dump_epio.o ./obj
	mv -f hec_dump_epio.l ./lis

./obj/hec_dump_geo.o: ./util/hec_dump_geo.f \
                      hec_par.inc \
                      hec_datacard.inc \
                      hec_geo.inc
	$(compile) ./util/hec_dump_geo.f
	mv -f hec_dump_geo.o ./obj
	mv -f hec_dump_geo.l ./lis

./obj/hec_dwpc_epio.o: ./src/hec_dwpc_epio.f \
                       hec_dwpc.inc \
                       hec_epio.inc
	$(compile) ./src/hec_dwpc_epio.f
	mv -f hec_dwpc_epio.o ./obj
	mv -f hec_dwpc_epio.l ./lis

./obj/hec_dwpc_ini.o: ./src/hec_dwpc_ini.f \
                      hec_dwpc.inc
	$(compile) ./src/hec_dwpc_ini.f
	mv -f hec_dwpc_ini.o ./obj
	mv -f hec_dwpc_ini.l ./lis

./obj/hec_dwpc_zebra.o: ./src/hec_dwpc_zebra.f \
                        hec_dwpc.inc \
                        hec_zebra.inc
	$(compile) ./src/hec_dwpc_zebra.f
	mv -f hec_dwpc_zebra.o ./obj
	mv -f hec_dwpc_zebra.l ./lis

./obj/hec_evt.o: ./src/hec_evt.f \
                 hec_datacard.inc
	$(compile) ./src/hec_evt.f
	mv -f hec_evt.o ./obj
	mv -f hec_evt.l ./lis

./obj/hec_evth_epio.o: ./src/hec_evth_epio.f \
                       hec_epio.inc \
                       hec_evth.inc \
                       hec_runh.inc
	$(compile) ./src/hec_evth_epio.f
	mv -f hec_evth_epio.o ./obj
	mv -f hec_evth_epio.l ./lis

./obj/hec_evth_zebra.o: ./src/hec_evth_zebra.f \
                        hec_evth.inc \
                        hec_zebra.inc
	$(compile) ./src/hec_evth_zebra.f
	mv -f hec_evth_zebra.o ./obj
	mv -f hec_evth_zebra.l ./lis

./obj/hec_geo.o: ./src/hec_geo.f \
                 hec_datacard.inc 
	$(compile) ./src/hec_geo.f
	mv -f hec_geo.o ./obj
	mv -f hec_geo.l ./lis

./obj/hec_geo_may96.o: ./src/hec_geo_may96.f \
                       hec_par.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geo_may96.f
	mv -f hec_geo_may96.o ./obj
	mv -f hec_geo_may96.l ./lis

./obj/hec_geo_jul96.o: ./src/hec_geo_jul96.f \
                       hec_par.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geo_jul96.f
	mv -f hec_geo_jul96.o ./obj
	mv -f hec_geo_jul96.l ./lis

./obj/hec_geo_sep96.o: ./src/hec_geo_sep96.f \
                       hec_par.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geo_sep96.f
	mv -f hec_geo_sep96.o ./obj
	mv -f hec_geo_sep96.l ./lis

./obj/hec_geo_feb97.o: ./src/hec_geo_feb97.f \
                       hec_par.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geo_feb97.f
	mv -f hec_geo_feb97.o ./obj
	mv -f hec_geo_feb97.l ./lis

./obj/hec_geo_may97.o: ./src/hec_geo_may97.f \
                       hec_par.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geo_may97.f
	mv -f hec_geo_may97.o ./obj
	mv -f hec_geo_may97.l ./lis

./obj/hec_geoe_epio.o: ./src/hec_geoe_epio.f \
                       hec_par.inc \
                       hec_adc.inc \
                       hec_datacard.inc \
                       hec_epio.inc \
                       hec_geo.inc
	$(compile) ./src/hec_geoe_epio.f
	mv -f hec_geoe_epio.o ./obj
	mv -f hec_geoe_epio.l ./lis

./obj/hec_geoe_zebra.o: ./src/hec_geoe_zebra.f \
                        hec_par.inc \
                        hec_adc.inc \
                        hec_datacard.inc \
                        hec_geo.inc \
                        hec_zebra.inc
	$(compile) ./src/hec_geoe_zebra.f
	mv -f hec_geoe_zebra.o ./obj
	mv -f hec_geoe_zebra.l ./lis

./obj/hec_hbook_ini.o: ./src/hec_hbook_ini.f \
	               hec_datacard.inc \
                       hec_paw.inc
	$(compile) ./src/hec_hbook_ini.f
	mv -f hec_hbook_ini.o ./obj
	mv -f hec_hbook_ini.l ./lis

./obj/hec_his.o: ./src/his/hec_his.f \
	         hec_datacard.inc 
	$(compile) ./src/his/hec_his.f
	mv -f hec_his.o ./obj
	mv -f hec_his.l ./lis

./obj/hec_his_ana1.o: ./src/his/hec_his_ana1.f \
                      hec_par.inc \
                      hec_his_sys.inc \
                      hec_geo.inc \
                      hec_ped.inc
	$(compile) ./src/his/hec_his_ana1.f
	mv -f hec_his_ana1.o ./obj
	mv -f hec_his_ana1.l ./lis

./obj/hec_his_evt1.o: ./src/his/hec_his_evt1.f \
	              hec_par.inc \
                      hec_adc.inc \
                      hec_cal.inc \
                      hec_datacard.inc \
	              hec_geo.inc \
	              hec_his_sys.inc \
                      hec_max.inc \
	              hec_ped.inc 
	$(compile) ./src/his/hec_his_evt1.f
	mv -f hec_his_evt1.o ./obj
	mv -f hec_his_evt1.l ./lis

./obj/hec_his_ini.o: ./src/his/hec_his_ini.f \
	             hec_par.inc \
                     hec_cal.inc \
                     hec_datacard.inc \
	             hec_geo.inc \
	             hec_his_sys.inc \
	             hec_ped.inc 
	$(compile) ./src/his/hec_his_ini.f
	mv -f hec_his_ini.o ./obj
	mv -f hec_his_ini.l ./lis

./obj/hec_his_pass1.o: ./src/his/hec_his_pass1.f \
	               hec_datacard.inc \
	               hec_evth.inc 
	$(compile) ./src/his/hec_his_pass1.f
	mv -f hec_his_pass1.o ./obj
	mv -f hec_his_pass1.l ./lis

./obj/hec_his_ter.o: ./src/his/hec_his_ter.f \
	             hec_par.inc \
	             hec_datacard.inc \
	             hec_geo.inc \
	             hec_his_sys.inc
	$(compile) ./src/his/hec_his_ter.f
	mv -f hec_his_ter.o ./obj
	mv -f hec_his_ter.l ./lis

./obj/hec_ini.o: ./src/hec_ini.f 
	$(compile) ./src/hec_ini.f
	mv -f hec_ini.o ./obj
	mv -f hec_ini.l ./lis

./obj/hec_io_ini.o: ./src/hec_io_ini.f \
                    hec_datacard.inc \
                    hec_epio.inc \
                    hec_zebra.inc 
	$(compile) ./src/hec_io_ini.f
	mv -f hec_io_ini.o ./obj
	mv -f hec_io_ini.l ./lis

./obj/hec_io_pass_evt.o: ./src/hec_io_pass_evt.f \
                         hec_datacard.inc
	$(compile) ./src/hec_io_pass_evt.f
	mv -f hec_io_pass_evt.o ./obj
	mv -f hec_io_pass_evt.l ./lis

./obj/hec_io_pass_ini.o: ./src/hec_io_pass_ini.f \
                         hec_datacard.inc
	$(compile) ./src/hec_io_pass_ini.f
	mv -f hec_io_pass_ini.o ./obj
	mv -f hec_io_pass_ini.l ./lis

./obj/hec_io_pass_ter.o: ./src/hec_io_pass_ter.f \
                         hec_datacard.inc
	$(compile) ./src/hec_io_pass_ter.f
	mv -f hec_io_pass_ter.o ./obj
	mv -f hec_io_pass_ter.l ./lis

./obj/hec_io_ter.o: ./src/hec_io_ter.f \
                    hec_datacard.inc
	$(compile) ./src/hec_io_ter.f
	mv -f hec_io_ter.o ./obj
	mv -f hec_io_ter.l ./lis

./obj/hec_max_fill.o: ./src/hec_max_fill.f \
                      hec_par.inc \
                      hec_adc.inc \
                      hec_cub.inc \
                      hec_datacard.inc \
                      hec_geo.inc \
                      hec_max.inc
	$(compile) ./src/hec_max_fill.f
	mv -f hec_max_fill.o ./obj
	mv -f hec_max_fill.l ./lis

./obj/hec_nextevt.o: ./src/hec_nextevt.f \
                     hec_datacard.inc
	$(compile) ./src/hec_nextevt.f
	mv -f hec_nextevt.o ./obj
	mv -f hec_nextevt.l ./lis

./obj/hec_nextevt_epio.o: ./src/hec_nextevt_epio.f \
                          hec_datacard.inc \
                          hec_epio.inc \
                          hec_evth.inc
	$(compile) ./src/hec_nextevt_epio.f
	mv -f hec_nextevt_epio.o ./obj
	mv -f hec_nextevt_epio.l ./lis

./obj/hec_nextevt_zebra.o: ./src/hec_nextevt_zebra.f \
                          hec_datacard.inc \
                          hec_evth.inc \
                          hec_zebra.inc
	$(compile) ./src/hec_nextevt_zebra.f
	mv -f hec_nextevt_zebra.o ./obj
	mv -f hec_nextevt_zebra.l ./lis

./obj/hec_pass1.o: ./src/hec_pass1.f \
                   hec_datacard.inc \
                   hec_evth.inc
	$(compile) ./src/hec_pass1.f
	mv -f hec_pass1.o ./obj
	mv -f hec_pass1.l ./lis

./obj/hec_pass2.o: ./src/hec_pass2.f \
                   hec_datacard.inc \
                   hec_evth.inc
	$(compile) ./src/hec_pass2.f
	mv -f hec_pass2.o ./obj
	mv -f hec_pass2.l ./lis

./obj/hec_pass3.o: ./src/hec_pass3.f \
                   hec_datacard.inc \
                   hec_evth.inc
	$(compile) ./src/hec_pass3.f
	mv -f hec_pass3.o ./obj
	mv -f hec_pass3.l ./lis

./obj/hec_ped.o: ./src/ped/hec_ped.f \
                   hec_par.inc \
                   hec_datacard.inc \
                   hec_ped.inc
	$(compile) ./src/ped/hec_ped.f
	mv -f hec_ped.o ./obj
	mv -f hec_ped.l ./lis

./obj/hec_ped_ana1.o: ./src/ped/hec_ped_ana1.f \
                      hec_par.inc \
                      hec_geo.inc \
                      hec_ped.inc \
                      hec_ped_sys.inc
	$(compile) ./src/ped/hec_ped_ana1.f
	mv -f hec_ped_ana1.o ./obj
	mv -f hec_ped_ana1.l ./lis

./obj/hec_ped_ana2.o: ./src/ped/hec_ped_ana2.f \
                      hec_par.inc \
                      hec_geo.inc \
                      hec_ped.inc \
                      hec_ped_sys.inc
	$(compile) ./src/ped/hec_ped_ana2.f
	mv -f hec_ped_ana2.o ./obj
	mv -f hec_ped_ana2.l ./lis

./obj/hec_ped_evt1.o: ./src/ped/hec_ped_evt1.f \
                      hec_par.inc \
                      hec_adc.inc \
                      hec_datacard.inc \
                      hec_evth.inc \
                      hec_geo.inc \
                      hec_ped_sys.inc \
                      hec_trig.inc
	$(compile) ./src/ped/hec_ped_evt1.f
	mv -f hec_ped_evt1.o ./obj
	mv -f hec_ped_evt1.l ./lis

./obj/hec_ped_evt2.o: ./src/ped/hec_ped_evt2.f \
                      hec_par.inc \
                      hec_adc.inc \
                      hec_datacard.inc \
                      hec_evth.inc \
                      hec_geo.inc \
                      hec_ped.inc \
                      hec_ped_sys.inc \
                      hec_trig.inc
	$(compile) ./src/ped/hec_ped_evt2.f
	mv -f hec_ped_evt2.o ./obj
	mv -f hec_ped_evt2.l ./lis

./obj/hec_ped_pass1.o: ./src/ped/hec_ped_pass1.f \
                       hec_datacard.inc \
                       hec_evth.inc
	$(compile) ./src/ped/hec_ped_pass1.f
	mv -f hec_ped_pass1.o ./obj
	mv -f hec_ped_pass1.l ./lis

./obj/hec_ped_pass2.o: ./src/ped/hec_ped_pass2.f \
                       hec_datacard.inc \
                       hec_evth.inc
	$(compile) ./src/ped/hec_ped_pass2.f
	mv -f hec_ped_pass2.o ./obj
	mv -f hec_ped_pass2.l ./lis

./obj/hec_ped_print.o: ./src/ped/hec_ped_print.f \
                       hec_par.inc \
                       hec_geo.inc \
                       hec_ped.inc \
                       hec_ped_sys.inc
	$(compile) ./src/ped/hec_ped_print.f
	mv -f hec_ped_print.o ./obj
	mv -f hec_ped_print.l ./lis

./obj/hec_ped_read.o: ./src/ped/hec_ped_read.f \
                      hec_par.inc \
                      hec_datacard.inc \
                      hec_ped.inc 
	$(compile) ./src/ped/hec_ped_read.f
	mv -f hec_ped_read.o ./obj
	mv -f hec_ped_read.l ./lis

./obj/hec_ped_write.o: ./src/ped/hec_ped_write.f \
                       hec_par.inc \
                       hec_datacard.inc \
                       hec_ped.inc \
                       hec_runh.inc
	$(compile) ./src/ped/hec_ped_write.f
	mv -f hec_ped_write.o ./obj
	mv -f hec_ped_write.l ./lis

./obj/hec_runh_epio.o: ./src/hec_runh_epio.f \
                       hec_epio.inc \
                       hec_runh.inc
	$(compile) ./src/hec_runh_epio.f
	mv -f hec_runh_epio.o ./obj
	mv -f hec_runh_epio.l ./lis

./obj/hec_runh_zebra.o: ./src/hec_runh_zebra.f \
                        hec_runh.inc \
                        hec_zebra.inc
	$(compile) ./src/hec_runh_zebra.f
	mv -f hec_runh_zebra.o ./obj
	mv -f hec_runh_zebra.l ./lis

./obj/hec_ter.o: ./src/hec_ter.f \
                 hec_datacard.inc
	$(compile) ./src/hec_ter.f
	mv -f hec_ter.o ./obj
	mv -f hec_ter.l ./lis

./obj/hec_trig.o: ./src/hec_trig.f \
                  hec_datacard.inc \
                  hec_evth.inc \
                  hec_runh.inc \
                  hec_trig.inc
	$(compile) ./src/hec_trig.f
	mv -f hec_trig.o ./obj
	mv -f hec_trig.l ./lis

./obj/user_ana1.o: ./src/user_ana1.f
	$(compile) ./src/user_ana1.f
	mv -f user_ana1.o ./obj
	mv -f user_ana1.l ./lis

./obj/user_ana2.o: ./src/user_ana2.f
	$(compile) ./src/user_ana2.f
	mv -f user_ana2.o ./obj
	mv -f user_ana2.l ./lis

./obj/user_ana3.o: ./src/user_ana3.f
	$(compile) ./src/user_ana3.f
	mv -f user_ana3.o ./obj
	mv -f user_ana3.l ./lis

./obj/user_card.o: ./src/user_card.f
	$(compile) ./src/user_card.f
	mv -f user_card.o ./obj
	mv -f user_card.l ./lis

./obj/user_evt1.o: ./src/user_evt1.f
	$(compile) ./src/user_evt1.f
	mv -f user_evt1.o ./obj
	mv -f user_evt1.l ./lis

./obj/user_evt2.o: ./src/user_evt2.f
	$(compile) ./src/user_evt2.f
	mv -f user_evt2.o ./obj
	mv -f user_evt2.l ./lis

./obj/user_evt3.o: ./src/user_evt3.f
	$(compile) ./src/user_evt3.f
	mv -f user_evt3.o ./obj
	mv -f user_evt3.l ./lis

./obj/user_ini.o: ./src/user_ini.f
	$(compile) ./src/user_ini.f
	mv -f user_ini.o ./obj
	mv -f user_ini.l ./lis

./obj/user_ter.o: ./src/user_ter.f
	$(compile) ./src/user_ter.f
	mv -f user_ter.o ./obj
	mv -f user_ter.l ./lis

