      subroutine hec_cal_evt
c
c for ecah event, fill the calibrated data array with values in nA
c
      implicit none
c
      include'hec_par.inc'
c
c calibrated energies common
c
      include'hec_cal.inc'
c
c calibration coefficients common
c must be preceded by the include file hec_par.inc
c      
      include'hec_cal_coef.inc'
c
c max adc and time common for simple cubic fit
c
      include'hec_cub.inc'      
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c max adc and time values common
c must be preceded by the include file hec_par.inc
c
      include'hec_max.inc'
c
c pedestal values common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c local delarations
c
      integer i_eta, i_phi, i_z
      integer i_mod, i_seg, i_pad
      integer ic
      real adc_sub_ped
c
      call vzero(hec_cal_ic,i_adc_dim)
c
c apply calibration to pedestal subtracted adc value for
c each channel 
c
      do ic = 1, i_adc_used
        adc_sub_ped = adc_max_ic(ic,1) - adc_ped(ic)
        hec_cal_ic(ic) = hec_cal_coef(ic,1)
     +  +hec_cal_coef(ic,2)*adc_sub_ped
     +  +hec_cal_coef(ic,3)*(hec_cal_coef(ic,1)  
     +  +hec_cal_coef(ic,2)*(adc_sub_ped))**2
     +  +hec_cal_coef(ic,4)*(
     +  (hec_cal_coef(ic,1) + hec_cal_coef(ic,2)*(adc_sub_ped))*
     +  (hec_cal_coef(ic,1) + hec_cal_coef(ic,2)*(adc_sub_ped))**2) 
      enddo
c
c fill arrays in database and physics systems
c
      do i_pad = 1, i_pad_max
        do i_seg = 1, i_seg_max
          do i_mod = 1, i_mod_max
            ic = dbtoic(i_mod, i_seg, i_pad)
            hec_cal_db(i_mod, i_seg, i_pad) = 
     +      hec_cal_ic(ic)
          enddo
        enddo
      enddo
      do i_z = 1, i_z_max
        do i_phi = 1, i_phi_max
          do i_eta = 1, i_eta_max
            ic = phtoic(i_eta, i_phi, i_z)
            hec_cal_ph(i_eta, i_phi, i_z) = 
     +      hec_cal_ic(ic)
          enddo
        enddo
      enddo
c
      end




