      subroutine hec_cal_read
c
c read calibration coefficient file
c
      implicit none
c
      include'hec_par.inc'
c
c calibration coefficients common
c must be preceded by the include file hec_par.inc
c
      include'hec_cal_coef.inc'
c
c user datacard common
c
      include'hec_datacard.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
      integer i
      integer ic
      real cal(4)
      integer iflg
c
c open input calibration file
c
      open (unit=io_cal(2), file='calib.dat', status='old', err=3)
c
 1    read (io_cal(2), *, err=2, end=4) ic, (cal(i), i=1, 4), iflg
      if (ic .le. i_adc_used .and. ic .gt. 0) then
        if (cal(5) .le. 2) then
          do i = 1, 4
            hec_cal_coef(ic, i) = cal(i)
          enddo
        else
          do i = 1, 4
            hec_cal_coef(ic, i) = 0.
          enddo
          print * ,' *** no calibration for channel ', ic
        endif
        hec_cal_coef(ic, 5) = cal(5)
      endif
      goto 1
c
 2    continue
      print *, ' *** error reading calibration file'
      close (unit=io_cal(2))
      stop
c
 3    continue
      print *, ' *** error opening calibration file'
      close (unit=io_cal(2))
      stop
c
 4    continue
      print *, ' *** calibration file read ***'
      print *, ' '
      do ic = 1, i_adc_used
        write(*, '(5x, i5, 4(5x, e15.5), 5x, i5)') 
     +  ic, (hec_cal_coef(ic, i), i = 1, 4), nint(hec_cal_coef(ic, 5))
      enddo
      close (unit=io_cal(2))
c
      end
