      subroutine hec_geoe_epio
c
c read raw ADC block from epio
c
      implicit none
c
      include'hec_par.inc'
c
c adc values common
c must be preceded by the include file hec_par.inc
c
      include'hec_adc.inc'
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c epio common
c
      include'hec_epio.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c local variables
c
      integer ic                !adc channel number
      integer i_t               !time sampling number
      integer ladc              !index of first adc word in adc bank
      integer n_adc_epio        !actual number of adc channels read
      integer ip
c
c index of first adc in adc block
c number of adc channels read by epio
c
      if (irunpd .le. 3) then
        ladc = 3
        n_adc_epio = ibankbuf(1) - 1
      else
        ladc = 5
        n_adc_epio = ibankbuf(3)
        if (i_tim_used .ne. ibankbuf(4)) then
          print *, 
     +    ' *** inconsistent number of time samplings in hec_geoe_epio',
     +    i_tim_used, ibankbuf(4)
          i_tim_used = ibankbuf(4) 
        endif
      endif
c
c check for bad event (number of adc to be read is too big). The only
c time this is allowed to happen is in runs from may96. 
c During that period the adc banks were very screwed up with extra words 
c and we need to allow the code to keep going in those affected 
c runs, or may96 data would be impossible to analyse. 
c Unfortunately, this is an ugly fix.
c

      if (n_adc_epio .gt. i_adc_dim) then
        if (irunpd .eq. 1) then
           n_adc_epio = i_adc_used
        else
           print *, ' *** number of adc in event is too big for this run period 
     +                in hec_geoe_epio', n_adc_epio
           stop
        endif
      endif
c     
c fill i_adc_ic_t in hec_adc.inc from data array
c     
      if (irunpd .le. 4) then
        do ic = 1, n_adc_epio
          do i_t = 1, i_tim_used
            ip = (ic - 1)*i_tim_used + i_t
            i_adc_ic_t(ic, i_t) = ibankbuf(ladc - 1 + ip)
          enddo
        enddo
      else
        ip = 0 
        do ic = 2, n_adc_epio, 2
          do i_t = 1, i_tim_used
            ip = ip + 2
            i_adc_ic_t(ic - 1, i_t) = ibankbuf(ladc - 1 + ip)
            i_adc_ic_t(ic, i_t) = ibankbuf(ladc - 1 + ip - 1)
          enddo
        enddo
      endif
c
c cabling fixes
c
c fix bad adcs for July 1996 (zero them)
c
      if (irunpd .eq. 2) then
        i_adc_ic(54) = 0
        i_adc_ic(59) = 0
c
c remap to account for recabling in September 1996
c
      elseif (irunpd .eq. 3) then
        i_adc_ic(93)  = i_adc_ic(173)
        i_adc_ic(107) = i_adc_ic(172)
        i_adc_ic(135) = i_adc_ic(169)
        i_adc_ic(121) = 0
        i_adc_ic(149) = 0 
      endif
c     
c     print *, ' *** GEOE read'
c
      end

