      subroutine hec_ped_ana2
c
c pass 2 pedestal computation analysis routine
c
      implicit none
c
      include'hec_par.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c pedestal common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped.inc'
c
c pedestal computation common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped_sys.inc'
c
      integer ic                !adc channel number
      real adc_var              !variance of pedestal
c
c compute the mean and rms of pedestals
c
      do ic = 1, i_adc_used
        adc_ped(ic) = 0.
        adc_rms(ic) = 0.
        if (i_adc0_2(ic) .gt. 0) then
          adc_ped(ic) = r_adc1(ic)/real(i_adc0_2(ic))
          adc_var = r_adc2(ic)/real(i_adc0_2(ic)) 
     +              - adc_ped(ic)**2
          if (adc_var .gt. 0.) then
            adc_rms(ic) = sqrt(adc_var)
          else
            adc_rms(ic) = 0.
            print *, ' *** bad channel at pedestal computation pass 2'
            print *, ' *** channel ', ic, ' ped ', adc_ped(ic), 
     +                                    ' var ', adc_var
          endif
        endif
        if (i_adc0_1(ic) .gt. 0.) then
          ped_rej(ic) = 1. - real(i_adc0_2(ic))/real(i_adc0_1(ic))
        else
          ped_rej(ic) = 0.
        endif
      enddo
c     
c print results
c     
      print *, ' *** pass 2 pedestal computation analysis done'
      call hec_ped_print
c
      end
