      subroutine hec_ped_evt1
c
c pass 1 pedestal computation event routine
c
      implicit none
c
      include'hec_par.inc'
c
c adc values common
c must be preceded by the include file hec_par.inc
c
      include'hec_adc.inc'
c
c common for datacard values
c
      include'hec_datacard.inc'
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c geometry correspondence tables common
c must be preceded by the include file hec_par.inc
c
      include'hec_geo.inc'
c
c pedestal computation common
c must be preceded by the include file hec_par.inc
c
      include'hec_ped_sys.inc'
c
c event trigger common
c
      include'hec_trig.inc'
c
      integer ic                !adc channel number
      integer i_t
      real ave
c
c before the first event, reset the channel arrays
c
      if (i_event .le. 1) then
        i_ped_evt1 = 0
        do ic = 1, i_adc_used
          i_adc0_1(ic) = 0
          r_adc1(ic) = 0.d0
          r_adc2(ic) = 0.d0
        enddo
      endif
c
c only select random trigger events
c
      if (trig_random .and. irunpd .le. 3) then
        i_ped_evt1 = i_ped_evt1 + 1
c
c gather adc sums
c
        do ic = 1, i_adc_used
          i_adc0_1(ic) = i_adc0_1(ic) + 1
          r_adc1(ic)   = r_adc1(ic) + i_adc_ic(ic)
          r_adc2(ic)   = r_adc2(ic) + i_adc_ic(ic)**2
        enddo
      elseif (irunpd .ge. 4) then
        i_ped_evt1 = i_ped_evt1 + 1
c
c first get average of first requested time samples
c
        do ic = 1, i_adc_used
          ave = 0.
          do i_t = 1, nt_ped
            ave = ave + i_adc_ic_t(ic, i_t)
          enddo
          if (nt_ped .gt. 0) ave = ave/real(nt_ped)
c
          i_adc0_1(ic) = i_adc0_1(ic) + 1
          r_adc1(ic)   = r_adc1(ic) + ave
          r_adc2(ic)   = r_adc2(ic) + ave**2
        enddo     
      endif
c
      end
