      subroutine hec_ped_pass1
c
c pass 1 over data set for pedestal computation
c
      implicit none
c
c user datacard values common
c
      include'hec_datacard.inc'
c
c event header EVTH common
c
      include'hec_evth.inc'
c
c local variable declaration
c
      logical hec_nextevt
      external hec_nextevt
c
      print *, ' '
      print *, ' *** starting pass 1 for pedestal computation'
c
c initialise data io for pass
c
      call hec_io_pass_ini
c
c loop over events
c
      i_event = 1
      do while (hec_nextevt() .and. i_event .le. n_evtmax)
        if (mod(i_event, 1000) .eq. 0 .or. i_event .eq. 1) then
          print *, ' *** starting event number ', i_event
        endif
c
c process event
c
        call hec_trig
c
c pedestal analysis for a given event
c
        call hec_ped_evt1
c
c handle end of event data io
c
        call hec_io_pass_evt
c
        i_event = i_event + 1
      enddo                     ! enddo over events
      i_event = i_event - 1
      print *, ' *** events processed      ', i_event
c
c pedestal analysis at end of event loop
c
      call hec_ped_ana1
c
c handle data io at pass end
c
      call hec_io_pass_ter
c
      print *, ' *** pass 1 done for pedestal computation'
c
      end

 
              
            
          
